TelepathyQt4: Tp::PendingConnection Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::PendingConnection Class Reference
[Connection proxies]

Class containing the parameters of and the reply to an asynchronous connection request. Instances of this class cannot be constructed directly; the only way to get one is via ConnectionManager. More...

`#include <TelepathyQt4/PendingConnection>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingConnection ()
- ConnectionManagerPtr manager () const
- ConnectionPtr connection () const
- QString busName () const
- QString objectPath () const

## Detailed Description

Class containing the parameters of and the reply to an asynchronous connection request. Instances of this class cannot be constructed directly; the only way to get one is via ConnectionManager.

## Constructor & Destructor Documentation

Tp::PendingConnection::~PendingConnection | ( |  | ) |

Class destructor.

## Member Function Documentation

ConnectionManagerPtr Tp::PendingConnection::manager | ( |  | ) | const

Return the ConnectionManager object through which the request was made.

Returns:
  Connection Manager object.

ConnectionPtr Tp::PendingConnection::connection | ( |  | ) | const

Returns the newly created Connection object.

Returns:
  Connection object.

QString Tp::PendingConnection::busName | ( |  | ) | const

Returns the connection's bus name ("service name"), or an empty string on error.

This method is useful for creating custom Connection objects: instead of using PendingConnection::connection, one could construct a new custom connection from the bus name and object path.

Returns:
  Connection bus name

See also:
  objectPath()

QString Tp::PendingConnection::objectPath | ( |  | ) | const

Returns the connection's object path or an empty string on error.

This method is useful for creating custom Connection objects: instead of using PendingConnection::connection, one could construct a new custom connection with the bus name and object path.

Returns:
  Connection object path

See also:
  busName()